///////////////////////////////// 数据库相关操作专用文件 ////////////////////////////////
// 下面的代码只演示了数据库的基本操作: 创建数据库与表 添加数据 修改数据 删除数据

// 创建数据库
function sqlCreatDataBase()
    var 返回数组,ret
    // 在test数据库文件里创建一个stu（学生)的表,  IF NOT EXISTS 的含义是如果不存在则创建,存在stu表则不创建
    // id integer primary key autoincrement 表示第一个字段名为id,整数值,id是主键,并且为自动递增类型
    // name 为第二个字段,字符串类型
    // age 为第三个字段,字符串类型
    ret = sqlitesqlarray("test.db","create table IF NOT EXISTS stu(id integer primary key autoincrement,name varchar(100),age varchar(100));",返回数组)//创建表
    if(!ret)
        sendtextmsg("创建表失败:"& getlasterror(1))
        return false
    else
        return true
    end
end

// 向数据里添加一条数据
function sql插入数据(name,age)
    var retArray = null,inserText
    inserText = strformat("insert into stu(name,age) values('%s','%s');",name,age)
    var ret = sqlitesqlarray("regtest",inserText,retArray)
    if(ret)
        sendtextmsg("插入一条新的数据")
        return retArray
    else
        sendtextmsg("插入数据失败,原因:"&getlasterror(1))
        return null
    end
end


// 查询所有信息
function sql查询所有信息()
    
    var sqlstr = "select * from stu"
    var 返回数组,ret
    ret = sqlitesqlarray("test",sqlstr,返回数组)
    return 返回数组
    
end

// 修改其中一条数据
function sql修改年龄(name,age)
    var 返回数组,ret
    var sqlstr = strformat("select * from stu where name='%s;",name)
    ret = sqlitesqlarray("test",sqlstr,返回数组)
    if(ret && 返回数组 != null)
        sqlstr = strformat("update stu set age='%s' where name='%s';",age,name)    
        ret = sqlitesqlarray("test",sqlstr,返回数组)
        sendtextmsg("sql修改年龄成功")
        return true
    else
        sendtextmsg("数据库没有名字为:"&name&"的数据,修改失败")
        return false
    end    
end

// 删除数据名字为name的所有数据
function sql删除数据按名字(name)
    var 返回数组,ret
    var sqlstr = strformat("select * from stu where name='%s;",name)
    ret = sqlitesqlarray("test",sqlstr,返回数组)
    if(ret && 返回数组 != null)
        sqlstr = strformat("delete from stu where name='%s';",name)
        ret = sqlitesqlarray("test",sqlstr,返回数组)
        sendtextmsg("sql删除数据按名字成功")
        return true
    else
        sendtextmsg("数据库没有名字为:"&name&"的数据,删除失败")
        return false
    end
end


// 删除数据年龄为age的所有数据
function sql删除数据按年龄(age)
    var 返回数组,ret
    var sqlstr = strformat("select * from stu where age='%s;",age)
    ret = sqlitesqlarray("test",sqlstr,返回数组)
    if(ret && 返回数组 != null)
        sqlstr = strformat("delete from stu where age='%s';",age)
        ret = sqlitesqlarray("test",sqlstr,返回数组)
        sendtextmsg("sql删除数据按年龄成功")
        return true
    else
        sendtextmsg("sql删除数据按年龄为:"&age&"的数据,删除失败")
        return false
    end
end

